﻿--
-- Connect to the sqlCMD client for interacting with SQL Express:
--
---> sqlcmd -S "Nome PC"\SQLEXPRESS (ad esempio: sqlcmd -S DESKTOP-U9ICVEN\SQLEXPRESS)
--
-- List all the databases on the server:
-- 
---> sp_databases
--
-- The use of sqlCMD client requires that each SQL statement is followed by a GO statement afterwards
--
-- 
-- Credentials to access to SQL Express via Bizagi:
-- Database Server: "Nome PC"\SQLEXPRESS
-- Database Name: Customers
-- Username: sa
-- Password BizagiBPM123


CREATE DATABASE Customers;

USE Customers;


CREATE TABLE Customer(
customerid INT PRIMARY KEY,
name VARCHAR(50) NOT NULL,
surname VARCHAR(50) NOT NULL,
birthday DATE NOT NULL,
telephone VARCHAR(50) NOT NULL,
email VARCHAR(30) NOT NULL
);

CREATE TABLE KindOfAccount(
name VARCHAR(30) PRIMARY KEY
);

CREATE TABLE CustomerAccount(
customerid INT,
accountnumber INT PRIMARY KEY,
kindofaccount VARCHAR(30),
balance FLOAT,
creationdate DATE,
FOREIGN KEY(customerid) REFERENCES Customer(customerid),
FOREIGN KEY(kindofaccount) REFERENCES KindOfAccount(name)
);



INSERT INTO Customer VALUES(1,'Giuseppe','Verdi','1980-11-30','060708','verdi@gmail.it');
INSERT INTO Customer VALUES(2,'Mario','Rossi','1965-12-20','010203','rossi@gmail.it');
INSERT INTO Customer VALUES(3,'Marco','Bianchi','1992-07-12','123456','bianchi@gmail.it');

INSERT INTO KindOfAccount VALUES('basic');
INSERT INTO KindOfAccount VALUES('advanced');
INSERT INTO KindOfAccount VALUES('business');

INSERT INTO CustomerAccount VALUES(1,100,'basic',2000,'2016-11-30');
INSERT INTO CustomerAccount VALUES(1,101,'basic',1000,'2016-10-23');
INSERT INTO CustomerAccount VALUES(2,102,'advanced',5000,'2016-09-08');
INSERT INTO CustomerAccount VALUES(3,103,'business',500000,'2016-09-08');